# disable -debuginfo RPM generation
%global debug_package %{nil}

Summary: SoftWare manager
Name: sw
Version: 0.8
Release: 4
Source: http://www.ezix.org/software/files/%{name}-%{version}.tar.gz
URL: http://ezix.org/project/wiki/sw
License: BSD
Group: Applications/System
BuildRequires: golang

%description
sw (SoftWare manager) is very much inspired by HP-UX's SD-UX (the swlist,
swinstall, swcopy, etc. series of commands). It is a reimplementation of these
commands on top of a more basic package management system: the RedHat Package
Manager (RPM).
Ultimately, sw could be seen as yum or apt-get on steroids.

%package client
BuildArch: noarch
Summary: SoftWare manager (client)
Group: Applications/System
Requires: sudo
Requires: rpm

%description client
sw (SoftWare manager) is very much inspired by HP-UX's SD-UX (the swlist,
swinstall, swcopy, etc. series of commands). It is a reimplementation of these
commands on top of a more basic package management system: the RedHat Package
Manager (RPM).

This package ensures a system can be managed with sw.

%prep
%setup -q

%build
%{__make} BUILD=%{_os}-%{_arch} VERSION=%{version}

%install
%{__rm} -rf "%{buildroot}"

%{__install} -D %{_os}-%{_arch}/sw "%{buildroot}%{_bindir}/sw"
%{__install} -D sudoers "%{buildroot}%{_sysconfdir}/sudoers.d/sw"

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root, 0555)
%doc README.md
%doc LICENSE
%doc MANUAL.pdf MANUAL.html
%{_bindir}/*

%files client
%config(noreplace) %attr(0550 ,root,root) %{_sysconfdir}/sudoers.d/sw

%changelog
* Sun Jan 07 2018 Lyonel Vincent <lyonel@ezix.org> 0.1-1
- RPM packaging
